Subject: Re: stg pop/push -a nitpick: not handling deleted files

From: Catalin Marinas <[email-masked]>
Date: Fri, 15 Sep 2006 22:41:09 +0100

Auke Kok <[email-masked]> wrote:
> minor nitpick when working with a patch that deletes a file: stg does
> not handle the 'abandoned' file when popping all patches off -
> essentially it would have to put the file back over an abandoned file.
[...]
> $ stg pop -a
> Popping "all_git_versions.patch" - "all_copyright_update.patch"
> patches...fatal: Untracked working tree file
> 'drivers/net/e1000/LICENSE' would be overwritten by merge.
> stg pop: git-read-tree failed (local changes maybe?)

I don't think it's an StGIT-specific issue, git-read-tree failed to
switch the working tree from one commit to another because a file
would be overwritten. It is probably safer to fail in this situation.

-- 
Catalin